Avnology ID
API ReferenceOrganizations

Update Organization

Partially update an organization's settings, feature flags, or security policies.

Endpoint

PATCH /v1/organizations/{id}

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token with admin:orgs:write scope

Request

Example Request

curl -X

Response

Success

Returns the appropriate response for the operation.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_300Organization not found
403AVNOLOGY_AUTH_100Insufficient permissions
409AVNOLOGY_AUTH_301Member already exists (for add)

Code Examples

JavaScript (fetch)

// See the API overview for request patterns
const response = await fetch('https://api-id.avnology.net/v1/organizations/{id}', {
  method: 'PATCH',
  headers: { 'Authorization': `Bearer ${apiKey}`, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("PATCH", "https://api-id.avnology.net/v1/organizations/{id}",
    headers={"Authorization": f"Bearer {api_key}"

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "PATCH", "https://api-id.avnology.net/v1/organizations/{id}", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err